<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[numberlistp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[List of numbers protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[sum/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[sum(+list,?number)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Calculates the sum of all list values.]]></comment>
<template><![CDATA[sum(List,Sum)]]></template>
</predicate>
<predicate>
<name><![CDATA[average/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[average(+list,?number)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Calculates the average of a list  of values.]]></comment>
<template><![CDATA[average(List,Average)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
